function [Q_range_l, Q_range_u] = cap_Q_range_dec4
%find Q capacity of Microgrid 3
global switch_mg3

V_req = zeros(1,6);
P_opt = zeros(1,8);
Q_opt = zeros(1,8);
V_mag = zeros(1,6);
V_pha = zeros(1,6);

val = 3;

for i = 1:1:val
    V_pcc(i) = 0.95 + 0.001*(i-1);
    [V_req_max, P_opt_max, Q_opt_max, V_mag_max, V_pha_max] = opt_solver_dec4_Q_max(V_pcc(i));
    [V_req_min, P_opt_min, Q_opt_min, V_mag_min, V_pha_min] = opt_solver_dec4_Q_min(V_pcc(i));
    V_req(i,:) = [V_req_max, V_req_min];
    P_opt(i,:) = [P_opt_max', P_opt_min'];
    Q_opt(i,:) = [Q_opt_max', Q_opt_min'];
    V_mag(i,:) = [V_mag_max, V_mag_min];
    V_pha(i,:) = [V_pha_max, V_pha_min];
end

Q_range_l = max([- Q_opt(1,5), -Q_opt((val+1)/2,5), -Q_opt(val,5)]);
Q_range_u = min([- Q_opt(1,1), -Q_opt((val+1)/2,1), -Q_opt(val,1)]);