function [c,ceq] = con_fun_mic_dec3(V)
%constraint functions used in opt_solver_mic3_snn
global V_vector_mcm_dec
global V_u_mic3 V_l_mic3 P_u_mic3 P_l_mic3 Q_u_mic3 Q_l_mic3 switch_ln
[Y_bus_mcm, G_bus_mcm, B_bus_mcm] = model_ini_mcm_mg2(switch_ln);

V_vector_mcm = V_vector_mcm_dec;
V_vector_mcm(3,1) = V(1)*exp(1j*V(2));

c =  [V(1) - V_u_mic3, V_l_mic3 - V(1), ...
     real(V_vector_mcm(3)*conj(Y_bus_mcm*V_vector_mcm))-P_u_mic3/3, P_l_mic3/3-real(V_vector_mcm(3)*conj(Y_bus_mcm*V_vector_mcm)), ...
     imag(V_vector_mcm(3)*conj(Y_bus_mcm*V_vector_mcm))-Q_u_mic3/3, Q_l_mic3/3-imag(V_vector_mcm(3)*conj(Y_bus_mcm*V_vector_mcm))];

ceq = [];