function func = obj_fun_obj_dec4(V)
%objective function used in opt_solver_obj_dec4_snn
global P_req_mic Q_req_mic E_req_mic Pha_req_mic switch_mg3

[Y_bus_mic, G_bus_mic, B_bus_mic, P_u_mic, P_l_mic, Q_u_mic, Q_l_mic, V_u_mic, V_l_mic, P_load_mic, Q_load_mic] = model_ini_mg3(switch_mg3);

cost_gen = ones(1,3);
cost_loss = 1;

E_mic = [E_req_mic, V(1:3)];
del_mic = [Pha_req_mic, V(4:6)];

V_vector_mic = [E_mic(1)*exp(1j*del_mic(1)); E_mic(2)*exp(1j*del_mic(2)); E_mic(3)*exp(1j*del_mic(3)); E_mic(4)*exp(1j*del_mic(4))];

Power_S_mic = 3*diag(V_vector_mic)*conj(Y_bus_mic*V_vector_mic);

func = cost_gen*(real(Power_S_mic(2:4,1))+3*diag([E_mic(2)^2, E_mic(3)^2, E_mic(4)^2])*P_load_mic(1,2:4)');
