function [V_range, P_range_u, P_range_l] = cap_P_range_dec3(Q_range)
%find P capacity of Microgrid 2
global switch_mg2

V_req = zeros(1,12);
P_opt = zeros(1,16);
Q_opt = zeros(1,16);
V_mag = zeros(1,12);
V_pha = zeros(1,12);

global Q_range_l Q_range_u

Q_range_l = Q_range(1)+0.05;
Q_range_u = Q_range(2)-0.05;

val = 3;

for i = 1:1:val
    V_pcc(i) = 0.95 + 0.05*(i-1);
    [V_req_max_i, P_opt_max_i, Q_opt_max_i, V_mag_max_i, V_pha_max_i] = opt_solver_mic_dec3_max_a(V_pcc(i));
    [V_req_max_o, P_opt_max_o, Q_opt_max_o, V_mag_max_o, V_pha_max_o] = opt_solver_mic_dec3_max_b(V_pcc(i));
    [V_req_min_i, P_opt_min_i, Q_opt_min_i, V_mag_min_i, V_pha_min_i] = opt_solver_mic_dec3_min_a(V_pcc(i));
    [V_req_min_o, P_opt_min_o, Q_opt_min_o, V_mag_min_o, V_pha_min_o] = opt_solver_mic_dec3_min_b(V_pcc(i));
    V_req(i,:) = [V_req_max_i, V_req_max_o, V_req_min_i, V_req_min_o];
    P_opt(i,:) = [P_opt_max_i', P_opt_max_o', P_opt_min_i', P_opt_min_o'];
    Q_opt(i,:) = [Q_opt_max_i', Q_opt_max_o', Q_opt_min_i', Q_opt_min_o'];
    V_mag(i,:) = [V_mag_max_i, V_mag_max_o, V_mag_min_i, V_mag_min_o];
    V_pha(i,:) = [V_pha_max_i, V_pha_max_o, V_pha_min_i, V_pha_min_o];
end

V_range = [(V_pcc(1)+V_pcc((val+1)/2))/2, (V_pcc((val+1)/2)+V_pcc(val))/2];
P_range_u = min((min(- P_opt(1,1), -P_opt(1,5)) + min(- P_opt((val+1)/2,1), -P_opt((val+1)/2,5)))/2, (min(- P_opt((val+1)/2,1), -P_opt((val+1)/2,5)) + min(- P_opt(val,1), -P_opt(val,5)))/2);
P_range_l = max((max(- P_opt(1,9), -P_opt(1,13)) + max(- P_opt((val+1)/2,9), -P_opt((val+1)/2,13)))/2, (max(- P_opt((val+1)/2,9), -P_opt((val+1)/2,13)) + max(- P_opt(val,9), -P_opt(val,13)))/2);