function [c,ceq] = con_fun_mic_dec2(V)
%constraint functions used in opt_solver_mic2_snn
global V_vector_mcm_dec
global V_u_mic2 V_l_mic2 P_u_mic2 P_l_mic2 Q_u_mic2 Q_l_mic2 switch_ln
[Y_bus_mcm, G_bus_mcm, B_bus_mcm] = model_ini_mcm_mg1(switch_ln);

V_vector_mcm = V_vector_mcm_dec;
V_vector_mcm(2,1) = V(1)*exp(1j*V(2));

c =  [V(1) - V_u_mic2, V_l_mic2 - V(1), ...
     real(V_vector_mcm(2)*conj(Y_bus_mcm*V_vector_mcm))-P_u_mic2/3, P_l_mic2/3-real(V_vector_mcm(2)*conj(Y_bus_mcm*V_vector_mcm)), ...
     imag(V_vector_mcm(2)*conj(Y_bus_mcm*V_vector_mcm))-Q_u_mic2/3, Q_l_mic2/3-imag(V_vector_mcm(2)*conj(Y_bus_mcm*V_vector_mcm))];

ceq = [];