function func = obj_fun_dec2_Q_max(V)
%objective function to find maximum Q export of Microgrid 1
global V_pcc switch_mg1

[Y_bus_mic, G_bus_mic, B_bus_mic, P_u_mic, P_l_mic, Q_u_mic, Q_l_mic, V_u_mic, V_l_mic, P_load_mic, Q_load_mic] = model_ini_mg1(switch_mg1);

E_mic = [V_pcc, V(1:3)];
del_mic = [0, V(4:6)];

V_vector_mic = [E_mic(1)*exp(1j*del_mic(1)); E_mic(2)*exp(1j*del_mic(2)); E_mic(3)*exp(1j*del_mic(3)); E_mic(4)*exp(1j*del_mic(4))];

func = imag(V_vector_mic(1)*conj(Y_bus_mic(1,:)*V_vector_mic)) - (E_mic(2:4).^2)*Q_load_mic(2:4)';      %maximize power output by microgrids