function func = obj_fun_mic_dec2(V)
%objective function used in opt_solver_mic2_snn
global V_vector_mcm_dec switch_ln
[Y_bus_mcm, G_bus_mcm, B_bus_mcm] = model_ini_mcm_mg1(switch_ln);

V_vector_mcm = V_vector_mcm_dec;
V_vector_mcm(2,1) = V(1)*exp(1j*V(2));

line_loss = 2*abs(real(Y_bus_mcm(1)*abs(V_vector_mcm(1)-V_vector_mcm(2))^2)) + abs(real(Y_bus_mcm(3)*abs(V_vector_mcm(2)-V_vector_mcm(3))^2));

func = - real(V_vector_mcm(2)*conj(Y_bus_mcm*V_vector_mcm)) + 3*line_loss/2;      %maximize power output by microgrids