function [V_mag,V_pha,P_opt_mic,Q_opt_mic,V_req_mic] = opt_solver_obj_dec3(P_req, Q_req, E_req, Pha_req)
global P_req_mic Q_req_mic E_req_mic Pha_req_mic switch_mg2
P_req_mic = P_req;
Q_req_mic = Q_req;
E_req_mic = E_req;
Pha_req_mic = Pha_req;

[Y_bus_mic, G_bus_mic, B_bus_mic, P_u_mic, P_l_mic, Q_u_mic, Q_l_mic, V_u_mic, V_l_mic, P_load_mic, Q_load_mic] = model_ini_mg2(switch_mg2);
    V0_mic = [1,1,1,0,0,0];
    options = optimset('Algorithm','active-set', 'TolFun', 1e-16, 'MaxFunEvals', 2000);
    [V,fval] = fmincon(@obj_fun_obj_dec3,V0_mic,[],[],[],[],[],[],@con_fun_obj_dec3,options);

V_mag = [E_req_mic V(1) V(2) V(3)]; V_pha = [Pha_req_mic V(4) V(5) V(6)];
V_vector_mic = [V_mag(1)*exp(1j*V_pha(1)); V_mag(2)*exp(1j*V_pha(2)); V_mag(3)*exp(1j*V_pha(3)); V_mag(4)*exp(1j*V_pha(4))];
S_opt_mic = 3*diag(V_vector_mic)*conj(Y_bus_mic*V_vector_mic);
P_opt_mic = real(S_opt_mic)'+[0, 3*P_load_mic(1,2:4)*diag([V_mag(2)^2, V_mag(3)^2, V_mag(4)^2])]; 
Q_opt_mic = imag(S_opt_mic)'+[0, 3*Q_load_mic(1,2:4)*diag([V_mag(2)^2, V_mag(3)^2, V_mag(4)^2])];
V_req_mic = [0, V_mag(2:4)]+0.05*[0, Q_opt_mic(2:4)];

