clf;

figure(1);
subplot(4,1,1);
plot(certs_1_scope.time,certs_1_scope.signals(1).values);
title('Microsource 1 Voltage');
grid on;
subplot(4,1,2);
plot(certs_1_scope.time,certs_1_scope.signals(2).values);
title('Microsource 1 Current');
grid on;
subplot(4,1,3);
plot(certs_1_scope.time,certs_1_scope.signals(3).values);
title('Microsource 1 Real/Reactive Power');
legend('P','Q');
grid on;
subplot(4,1,4);
plot(certs_1_scope.time,certs_1_scope.signals(4).values);
title('Voltage & Current (rms)');
grid on;

figure(2);
subplot(4,1,1);
plot(mg1_scope.time,mg1_scope.signals(1).values);
title('Microgrid 1 Voltage');
grid on;
subplot(4,1,2);
plot(mg1_scope.time,mg1_scope.signals(2).values);
title('Microgrid 1 Current');
grid on;
subplot(4,1,3);
plot(mg1_scope.time,mg1_scope.signals(3).values);
title('Microgrid 1 Real/Reactive Power');
legend('P','Q');
grid on;
subplot(4,1,4);
plot(mg1_scope.time,mg1_scope.signals(4).values);
title('Voltage & Current (rms)');
grid on;

figure(3);
subplot(4,1,1);
plot(mg2_scope.time,mg2_scope.signals(1).values);
title('Microgrid 2 Voltage');
grid on;
subplot(4,1,2);
plot(mg2_scope.time,mg2_scope.signals(2).values);
title('Microgrid 2 Current');
grid on;
subplot(4,1,3);
plot(mg2_scope.time,mg2_scope.signals(3).values);
title('Microgrid 2 Real/Reactive Power');
legend('P','Q');
grid on;
subplot(4,1,4);
plot(mg2_scope.time,mg2_scope.signals(4).values);
title('Voltage & Current (rms)');
grid on;

% figure(2);
% subplot(4,1,1);
% plot(other_buildings1_scope.time,other_buildings1_scope.signals(1).values);
% title('other buildings 1 voltage');
% grid on;
% subplot(4,1,2);
% plot(other_buildings1_scope.time,other_buildings1_scope.signals(2).values);
% title('other buildings 1 current');
% grid on;
% subplot(4,1,3);
% plot(other_buildings1_scope.time,other_buildings1_scope.signals(3).values);
% title('other buildings 1 real/reactive power');
% legend('P','Q');
% grid on;
% subplot(4,1,4);
% plot(other_buildings1_scope.time,other_buildings1_scope.signals(4).values);
% title('voltage & current (rms)');
% grid on;
% 
% figure(3);
% subplot(4,1,1);
% plot(other_buildings2_scope.time,other_buildings2_scope.signals(1).values);
% title('other buildings 2 voltage');
% grid on;
% subplot(4,1,2);
% plot(other_buildings2_scope.time,other_buildings2_scope.signals(2).values);
% title('other buildings 2 current');
% grid on;
% subplot(4,1,3);
% plot(other_buildings2_scope.time,other_buildings2_scope.signals(3).values);
% title('other buildings 2 real/reactive power');
% legend('P','Q');
% grid on;
% subplot(4,1,4);
% plot(other_buildings2_scope.time,other_buildings2_scope.signals(4).values);
% title('voltage & current (rms)');
% grid on;
% 
% figure(4);
% subplot(4,1,1);
% plot(utility_building_scope.time,utility_building_scope.signals(1).values);
% title('utility building voltage');
% grid on;
% subplot(4,1,2);
% plot(utility_building_scope.time,utility_building_scope.signals(2).values);
% title('utility building current');
% grid on;
% subplot(4,1,3);
% plot(utility_building_scope.time,utility_building_scope.signals(3).values);
% title('utility building real/reactive power');
% legend('P','Q');
% grid on;
% subplot(4,1,4);
% plot(utility_building_scope.time,utility_building_scope.signals(4).values);
% title('voltage & current (rms)');
% grid on;
% 
% figure(5);
% subplot(4,1,1);
% plot(training_building_scope.time,training_building_scope.signals(1).values);
% title('training building voltage');
% grid on;
% subplot(4,1,2);
% plot(training_building_scope.time,training_building_scope.signals(2).values);
% title('training building current');
% grid on;
% subplot(4,1,3);
% plot(training_building_scope.time,training_building_scope.signals(3).values);
% title('training building real/reactive power');
% legend('P','Q');
% grid on;
% subplot(4,1,4);
% plot(training_building_scope.time,training_building_scope.signals(4).values);
% title('voltage & current (rms)');
% grid on;
% 
figure(6)
hold on
plot(certs_1_scope.time,certs_1_scope.signals(4).values(:,2),'-b');
plot(certs_2_scope.time,certs_2_scope.signals(4).values(:,2),'-r');
plot(certs_3_scope.time,certs_3_scope.signals(4).values(:,2),'-k');
plot(certs_4_scope.time,certs_4_scope.signals(4).values(:,2),'--b');
plot(certs_5_scope.time,certs_5_scope.signals(4).values(:,2),'--r');
plot(certs_6_scope.time,certs_6_scope.signals(4).values(:,2),'--k');
grid on
% plot(training_building_scope.time,training_building_scope.signals(4).values(:,2)/480,'-k');
ylim([0 480*1.10]);
title('comparing rms voltages');
legend('ms 1','ms 2','ms 3','ms 4','ms 5','ms 6');

figure(7)
hold on
plot(mg1_scope.time,mg1_scope.signals(4).values(:,2),'-b');
plot(mg2_scope.time,mg2_scope.signals(4).values(:,2),'-r');
grid on
% plot(training_building_scope.time,training_building_scope.signals(4).values(:,2)/480,'-k');
ylim([0 480*1.10]);
title('comparing rms voltages');
legend('mg 1','mg 2');

% 
% str_o1 = sprintf('other_buildings1 voltage = %.4f', other_buildings1_scope.signals(4).values(end,2)/13800); disp(str_o1);
% str_o2 = sprintf('other_buildings2 voltage = %.4f', other_buildings2_scope.signals(4).values(end,2)/13800); disp(str_o2);
% str_u = sprintf('utility_building voltage = %.4f', utility_building_scope.signals(4).values(end,2)/480); disp(str_u);
% str_t = sprintf('training_building voltage = %.4f', training_building_scope.signals(4).values(end,2)/480); disp(str_t);
% 
% figure(7)
% hold on
% plot(grid_scope.time,grid_scope.signals(3).values(:,1)-other_buildings1_scope.signals(3).values(:,1)-other_buildings2_scope.signals(3).values(:,1)-utility_building_scope.signals(3).values(:,1)-training_building_scope.signals(3).values(:,1),'-k');
% plot(grid_scope.time,grid_scope.signals(3).values(:,2)-other_buildings1_scope.signals(3).values(:,2)-other_buildings2_scope.signals(3).values(:,2)-utility_building_scope.signals(3).values(:,2)-training_building_scope.signals(3).values(:,2),'-b');
% title('real & reactive power loss');
% legend('real power','reactive power');
